### Hierarchy

- Tabs

### Implements

- AfterContentInit
- OnChanges

## Index

### Inputs

- ariaLabel
- ariaLabelledby
- cacheActive
- followFocus
- isNavigation
- position
- skeleton
- type

### Properties

- ariaLabel
- ariaLabelledby
- cacheActive
- followFocus
- isNavigation
- position
- skeleton
- tabHeaders
- tabs
- type

### Methods

- hasTabHeaders
- ngAfterContentInit
- ngOnChanges

## Properties

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/tabs/tabs.component.ts:96

### ariaLabelledby

@Input()
ariaLabelledby: string

- Defined in src/tabs/tabs.component.ts:100

### cacheActive

@Input()
cacheActive: boolean = false

- Defined in src/tabs/tabs.component.ts:80

### followFocus

@Input()
followFocus: boolean = true

- Defined in src/tabs/tabs.component.ts:84

### isNavigation

@Input()
isNavigation: boolean = false

- Defined in src/tabs/tabs.component.ts:92

### position

@Input()
position: "top" | "bottom" = "top"

- Defined in src/tabs/tabs.component.ts:76

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/tabs/tabs.component.ts:88

### tabHeaders

@ContentChild({"selector":"TabHeaders","opts":"{ static: false }"})
tabHeaders: any

- Defined in src/tabs/tabs.component.ts:114

### tabs

@ContentChildren({"selector":"Tab","opts":"{ descendants: false }"})
tabs: QueryList<Tab>

- Defined in src/tabs/tabs.component.ts:109

### type

@Input()
type: "default" | "container" = "default"

- Defined in src/tabs/tabs.component.ts:104

## Methods

### hasTabHeaders

- hasTabHeaders(): boolean

- - Defined in src/tabs/tabs.component.ts:145

  #### Returns boolean

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/tabs/tabs.component.ts:120

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/tabs/tabs.component.ts:130

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

Generated using TypeDoc